Get Product Variant
curl --request GET \
--url https://api.loopreturns.com/api/v1/products/{productId}/product-variants/{id} \
--header 'X-Authorization: <api-key>'import requests
url = "https://api.loopreturns.com/api/v1/products/{productId}/product-variants/{id}"
headers = {"X-Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Authorization': '<api-key>'}};
fetch('https://api.loopreturns.com/api/v1/products/{productId}/product-variants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product_variant": {
"id": 2,
"external_id": "<string>",
"sku": "<string>",
"name": "<string>",
"weight_grams": 123,
"barcode": "<string>",
"product": {
"id": 2,
"external_id": "<string>",
"sku": "<string>",
"name": "<string>"
},
"price": {
"amount": 50000,
"currency_code": "USD"
},
"images": [
"<string>"
],
"inventories": [
{
"id": 2,
"available_count": 123,
"location": {
"id": 2,
"external_id": "<string>",
"name": "<string>"
}
}
],
"options": [
{
"position": 123,
"value": "<string>"
}
],
"logistics_information": {
"origin_country_code": "<string>",
"origin_region_code": "<string>",
"default_hs_code": "<string>",
"requires_shipping": true,
"cost": {
"amount": 50000,
"currency_code": "USD"
},
"destination_country_hs_codes": [
{
"destination_country_code": "<string>",
"hs_code": "<string>"
}
]
},
"dimensions": {
"depth": 123,
"width": 123,
"height": 123
}
}
}"<unknown>""<unknown>"Products
Get Product Variant
Get the details about a single product variant.
GET
/
products
/
{productId}
/
product-variants
/
{id}
Get Product Variant
Authorizations
API Scope: "Product (read)"
Path Parameters
The unique Loop identifier of the parent product.
The product variant's unique identifier.
Response
Success
Show child attributes
Show child attributes
⌘I